API ReferenceSchemas
Create Schema Relationship Properties
Authorization
apiKey Authorization<token>
API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.
In: header
Path Parameters
workspace*string
entity*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/workspaces/string/schemas/string/relationships" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "relationship", "attributes": { "property1": { "property1": { "title": "string", "type": null, "xClarifyRelationship": { "kind": "many-to-one", "entity": "string", "field": "string" } }, "property2": { "title": "string", "type": null, "xClarifyRelationship": { "kind": "many-to-one", "entity": "string", "field": "string" } } }, "property2": { "property1": { "title": "string", "type": null, "xClarifyRelationship": { "kind": "many-to-one", "entity": "string", "field": "string" } }, "property2": { "title": "string", "type": null, "xClarifyRelationship": { "kind": "many-to-one", "entity": "string", "field": "string" } } } } } }'{}